cjastacio

Issues compiling on Raspberry Pi

2 posts in this topic

Hi all, 

I'm trying to compile on a raspberry pi zero w.  When I try to compile, I get the following errors and the process stops.  I've downloaded Synergy 1.8.8 from the Symless site and followed the instructions provided on the wiki to try and compile.  Following is the output from the make command.

https://github.com/symless/synergy-core/wiki/compiling#Linux

[ 10%] Built target arch
[ 11%] Built target common
[ 18%] Built target base
[ 19%] Built target shared
[ 21%] Built target io
[ 25%] Built target mt
[ 26%] Building CXX object src/lib/net/CMakeFiles/net.dir/SecureSocket.cpp.o
/tmp/synergy-v1.8.8-stable-c30301e-Source/src/lib/net/SecureSocket.cpp: In member function 'void SecureSocket::showSecureCipherInfo()':
/tmp/synergy-v1.8.8-stable-c30301e-Source/src/lib/net/SecureSocket.cpp:810:46: error: invalid use of incomplete type 'SSL {aka struct ssl_st}'
  STACK_OF(SSL_CIPHER) * cStack = m_ssl->m_ssl->session->ciphers;
                                              ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from /tmp/synergy-v1.8.8-stable-c30301e-Source/src/lib/net/SecureSocket.cpp:27:
/usr/include/openssl/ossl_typ.h:144:16: note: forward declaration of 'SSL {aka struct ssl_st}'
 typedef struct ssl_st SSL;
                ^~~~~~
src/lib/net/CMakeFiles/net.dir/build.make:134: recipe for target 'src/lib/net/CMakeFiles/net.dir/SecureSocket.cpp.o' failed
make[2]: *** [src/lib/net/CMakeFiles/net.dir/SecureSocket.cpp.o] Error 1
CMakeFiles/Makefile2:549: recipe for target 'src/lib/net/CMakeFiles/net.dir/all' failed
make[1]: *** [src/lib/net/CMakeFiles/net.dir/all] Error 2
Makefile:83: recipe for target 'all' failed
make: *** [all] Error 2

Can someone tell me what's going on here and what I'm missing please?

Share this post


Link to post
Share on other sites

OK, I found my issue and will document here for anyone else who stumbles on this post.  

After searching around based on the errors seen above, I came across the following issue on the Symless github:

https://github.com/symless/synergy-core/issues/5757

To summarize, I got past this error by installing an older version of openssl development files:

sudo apt-get install libssl1.0-dev

 

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now